com.arthenica.ffmpegkit

## Enum Abi

- java.lang.Object
- - java.lang.Enum<Abi>
  - - com.arthenica.ffmpegkit.Abi

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Abi>

      public enum Abi
      extends java.lang.Enum<Abi>

  Enumeration for Android ABIs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABI_ARM` Represents armeabi ABI
    `ABI_ARM64_V8A` Represents arm64-v8a ABI
    `ABI_ARMV7A` Represents armeabi-v7a ABI
    `ABI_ARMV7A_NEON` Represents armeabi-v7a ABI with NEON support
    `ABI_UNKNOWN` Represents not supported ABIs
    `ABI_X86` Represents x86 ABI
    `ABI_X86_64` Represents x86_64 ABI

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Abi` | `from(java.lang.String abiName)` Returns the enumeration defined for the given ABI name.
    `java.lang.String` | `getName()` Returns the ABI name.
    `static Abi` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Abi[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABI_ARMV7A_NEON

          public static final Abi ABI_ARMV7A_NEON

      Represents armeabi-v7a ABI with NEON support

    - #### ABI_ARMV7A

          public static final Abi ABI_ARMV7A

      Represents armeabi-v7a ABI

    - #### ABI_ARM

          public static final Abi ABI_ARM

      Represents armeabi ABI

    - #### ABI_X86

          public static final Abi ABI_X86

      Represents x86 ABI

    - #### ABI_X86_64

          public static final Abi ABI_X86_64

      Represents x86_64 ABI

    - #### ABI_ARM64_V8A

          public static final Abi ABI_ARM64_V8A

      Represents arm64-v8a ABI

    - #### ABI_UNKNOWN

          public static final Abi ABI_UNKNOWN

      Represents not supported ABIs

  - ### Method Detail

    - #### values

          public static Abi[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Abi c : Abi.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Abi valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### from

          public static Abi from(java.lang.String abiName)

      Returns the enumeration defined for the given ABI name.

      Parameters:
        `abiName` - ABI name
      Returns:
        enumeration defined for the ABI name

    - #### getName

          public java.lang.String getName()

      Returns the ABI name.
      Returns:
        ABI name as defined in Android NDK documentation